Bug 801448 - Missing resource (font) in UI
Missing resource (font) in UI
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Petr Chalupa
Katello QA List
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 09:59 EST by Petr Chalupa
Modified: 2015-05-04 21:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 14:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
loaded katello/sync_management/index without any issue (80.72 KB, image/png)
2012-03-19 04:02 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Petr Chalupa 2012-03-08 09:59:26 EST
Description of problem:
Bad path to one of the fonts
LiberationSans-Regular-webfont.*

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. load page where the font is used: /katello/sync_management/index
2.
3.
  
Actual results:
resource is not found 404

Expected results:
200

Additional info:
Comment 1 Petr Chalupa 2012-03-08 10:26:29 EST
I have a fix:

diff --git a/src/app/stylesheets/_liberation.scss b/src/app/stylesheets/_liberation.scss
index f1e02ea..334cc9b 100644
--- a/src/app/stylesheets/_liberation.scss
+++ b/src/app/stylesheets/_liberation.scss
@@ -1,10 +1,10 @@
 @font-face {
     font-family: 'Liberation Sans';
     src: local('Liberation Sans'), local('LiberationSans'), local('Liberation-Sans'),
-         url('../../fonts/LiberationSans-Regular-webfont.eot?#iefix') format('eot'),
-         url('../../fonts/LiberationSans-Regular-webfont.woff') format('woff'),
-         url('../../fonts/LiberationSans-Regular-webfont.ttf') format('truetype'),
-         url('../../fonts/LiberationSans-Regular-webfont.svg#webfontLfr8h6FA') format('svg');
+         url('../../../fonts/LiberationSans-Regular-webfont.eot?#iefix') format('eot'),
+         url('../../../fonts/LiberationSans-Regular-webfont.woff') format('woff'),
+         url('../../../fonts/LiberationSans-Regular-webfont.ttf') format('truetype'),
+         url('../../../fonts/LiberationSans-Regular-webfont.svg#webfontLfr8h6FA') format('svg');
     font-weight: normal;
     font-style: normal;

Can I push it into katello master?
Comment 2 Petr Chalupa 2012-03-08 10:45:22 EST
fixed in b8248c2f3a22235d930e322485ffff9c47c02621
Comment 4 Sachin Ghai 2012-03-19 03:59:00 EDT
Verified in following CFSE build:

[root@perceptor ~]# rpm -qa | grep -ie katello-0 -ie katello-cli
katello-0.1.304-1.el6.noarch
katello-cli-common-0.1.105-1.el6.noarch
katello-cli-0.1.105-1.el6.noarch
[root@perceptor ~]# 


The reported issue is not reproducible. I loaded the page katello/sync_management/index, however didn't find any missing resource error neither on UI nor in production.log.
Comment 5 Sachin Ghai 2012-03-19 04:02:34 EDT
Created attachment 571038 [details]
loaded katello/sync_management/index without any issue

Note You need to log in before you can comment on or make changes to this bug.